### Constructor

# Phosh DBusHostname1Skeleton new

#### Declaration [src]

    PhoshDBusHostname1*
    phosh_dbus_hostname1_skeleton_new (
      void
    )

#### Description [src]

Creates a skeleton object for the D-Bus interface org.freedesktop.hostname1.

#### Return value

Type: `PhoshDBusHostname1Skeleton`

The skeleton object.

The caller of the function takes ownership of the data, and is responsible for freeing it.